INTERFACE
subroutine mwave_postproc (&
 & kdlen,&
 & kmxcount,&
 & klen,&
 & kcount,&
 & kgrp,&
 & pp,&
 & pomf,&
 & pfg,&
 & pbias,&
 & kcloudflag&
 & ) 
use parkind1, only: jpim, jprb
integer(kind=jpim),intent(in) :: kdlen, klen, kmxcount, kgrp
integer(kind=jpim),intent(in) :: kcount (kdlen)
real(kind=jprb) ,intent(in) :: pp (kdlen,kmxcount)
real(kind=jprb) ,intent(in) :: pomf (kdlen,kmxcount)
real(kind=jprb) ,intent(in) :: pfg (kdlen,kmxcount)
real(kind=jprb) ,intent(in) :: pbias (kdlen,kmxcount)
integer(kind=jpim),intent(out) :: kcloudflag(kdlen)
end subroutine mwave_postproc
END INTERFACE
